Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hammurapi.eventbus
Class MappedHandlePredicate<T,P extends Comparable<P>,C,K,H extends EventBus.Handle<T,P,C>,S extends EventStore<T,P,C,H,S>>

Show UML class diagram

    java.lang.Object
      com.hammurapi.eventbus.MappedHandlePredicate<T,P,C,K,H,S>

    public class MappedHandlePredicate<T,P extends Comparable<P>,C,K,H extends EventBus.Handle<T,P,C>,S extends EventStore<T,P,C,H,S>>

extends Object

Constructor Summary
`MappedHandlePredicate( target, Mapper<AbstractEventBus.Handle<T,P,C,K>>[] mappers, Class<T> targetClass)`

Method Summary
`ComparisonResult` | `compareTo( otherPredicate)`
`Boolean` | `extract(CompositeContext<T,P,C,K,H,S> context, Map<CompositeContext<T,P,C,K,H,S>,Map<,? super Boolean>> cache, AbstractEventBus.Handle<T,P,C,K>[]... handles)`
`double` | `getCost()`
`boolean` | `isContextDependent()`
`Set<Integer>` | `parameterIndices()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MappedHandlePredicate

    public MappedHandlePredicate( target,
                                 Mapper<AbstractEventBus.Handle<T,P,C,K>>[] mappers,
                                 Class<T> targetClass)

Method Detail

### extract

    public Boolean extract(CompositeContext<T,P,C,K,H,S> context,
                           Map<CompositeContext<T,P,C,K,H,S>,Map<,? super Boolean>> cache,
                           AbstractEventBus.Handle<T,P,C,K>[]... handles)

### compareTo

    public ComparisonResult compareTo( otherPredicate)

### isContextDependent

    public boolean isContextDependent()

### parameterIndices

    public Set<Integer> parameterIndices()

### getCost

    public double getCost()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD